--INIT.LUA--

local description = "A squad built with Pinnacle Grav tech designed to stop the Vek by crushing them on themselves. A force as unstoppable as the ocean currents."
local icon = "img/units/player/mech_devastator_ns.png"

local function init(self)
	require(self.scriptPath.."pawns")
	require(self.scriptPath.."weapons")
end

local function load(self, options, version)
	modApi:addSquadTrue({"Riptide","PSHarpoonMech", "PSDeployMech", "PSShoveMech"}, "Riptide", description, self.resourcePath .. icon)
end

return {
	id = "PushSquad",
	name = "Riptide Mech Squad",
	version = "WIP",
	requirements = {},--Not a list of mods needed for our mod to function, but rather the mods that we need to load before ours to maintain compability 
	init = init,
	load = load,
}